image: docker:latest
services:
- docker:dind

stages:
- build

variables:
  VERSION: "2"

build-nginx:
  stage: build
  image: docker:latest
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/dimages/drupal/nginx-drupal:$VERSION -f Dockerfile .
    - docker tag registry.gitlab.com/dimages/drupal/nginx-drupal:$VERSION registry.gitlab.com/dimages/drupal/nginx-drupal:latest
    - docker push registry.gitlab.com/dimages/drupal/nginx-drupal:$VERSION
    - docker push registry.gitlab.com/dimages/drupal/nginx-drupal:latest
